using System;
using System.Net;

namespace Infineon.Monitoring.MonA;

#nullable disable
#pragma warning disable SYSLIB0014

public class ExtWebClient : WebClient
{
    protected override WebRequest GetWebRequest(Uri address)
    {
        WebRequest webRequest = base.GetWebRequest(address);
        if (webRequest != null)
            webRequest.PreAuthenticate = PreAuthenticate;
        return webRequest;
    }

    public bool PreAuthenticate { get; set; }
}